- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
WP1Part Class Referenceabstract

`#include <WP1Part.h>`

Inheritance diagram for WP1Part:

## Public Member Functions
virtual | ~WP1Part ()
virtual void | parse (WP1Listener *listener)=0

## Static Public Member Functions
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Constructor & Destructor Documentation

virtual WP1Part::~WP1Part | ( |  | ) |
| inline virtual

## Member Function Documentation

WP1Part * WP1Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | readVal
| ) |  |
| static

Referenced by WP1Parser::parseDocument().

virtual void WP1Part::parse | ( | WP1Listener * | listener | ) |
| pure virtual

Implemented in WP1UnsupportedFixedLengthGroup, WP1UnsupportedVariableLengthGroup, WP1FootnoteEndnoteGroup, WP1MarginResetGroup, WP1PictureGroup, WP1HeaderFooterGroup, WP1BottomMarginGroup, WP1ExtendedCharacterGroup, WP1FontIdGroup, WP1JustificationGroup, WP1LeftIndentGroup, WP1LeftRightIndentGroup, WP1MarginReleaseGroup, WP1PointSizeGroup, WP1SetTabsGroup, WP1SpacingResetGroup, WP1SuppressPageCharacteristicsGroup, WP1TopMarginGroup, WP1CenterTextGroup, and WP1FlushRightGroup.

Referenced by WP1Parser::parseDocument().

The documentation for this class was generated from the following files:

- WP1Part.h
- WP1Part.cpp